#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
%bcond_with	pthread	# build pthread library (POSIX.1c threading API of GNU Pth)
#
Summary:	The GNU portable threads
Summary(pl.UTF-8):	Przenośne wątki GNU
Name:		pth
Version:	2.0.7
Release:	6
Epoch:		1
License:	LGPL
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/pth/%{name}-%{version}.tar.gz
# Source0-md5:	9cb4a25331a4c4db866a31cbe507c793
Patch0:		%{name}-nolibs.patch
URL:		http://www.gnu.org/software/pth/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# -fno-strict-aliasing" because mainly pth_mctx.c contains important
# and correct pointer casting constructs which are not acceptable
# in "strict aliasing" for GCC.
%define		specflags	-fno-strict-aliasing

%description
Pth is a very portable POSIX/ANSI-C based library for Unix platforms
which provides non-preemptive priority-based scheduling for multiple
threads of execution (aka `multithreading') inside event-driven
applications. All threads run in the same address space of the server
application, but each thread has its own individual program-counter,
run-time stack, signal mask and errno variable.

%description -l pl.UTF-8
pth jest bardzo przenośną biblioteką bazującą na POSIX/ANSI-C dla
platform uniksowych, bazujące na priorytetach dzielenie czasu bez
wywłaszczenia dla wielu wątków (czyli wielowątkowość) wewnątrz
aplikacji sterowanych zdarzeniami. Wszystkie wątki działają w tej
samej przestrzeni adresowej aplikacji serwera, ale każdy ma swój
własny licznik instrukcji, stos, maski sygnałów i zmienną errno.

%package devel
Summary:	Header files and development documentation for pth
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do pth
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files and development documentation for pth.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do pth.

%package static
Summary:	Static version of the GNU portable threads library
Summary(pl.UTF-8):	Statyczna wersja biblioteki pth
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static version of the GNU portable threads library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki przenośnych wątków GNU.

%prep
%setup -q
%patch0 -p1
# no aclocal call: aclocal.m4 contains only local macros, libtool.m4 is included from configure.in
cp -f /usr/share/automake/config.* /usr/share/aclocal/libtool.m4 .
mv aclocal.m4 local.m4

%build
%{__libtoolize}
%{__aclocal} -I.
%{__autoheader}
%{__autoconf}
%configure \
	%{?with_pthread:--enable-pthread} \
	--enable-optimize

%{__make} pth_p.h
%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# COPYING contains not only LGPL text
%doc ANNOUNCE AUTHORS COPYING ChangeLog HISTORY NEWS README SUPPORT TESTS THANKS USERS
%attr(755,root,root) %{_libdir}/libpth.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpth.so.20

%files devel
%defattr(644,root,root,755)
%doc HACKING
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libpth.so
%{_libdir}/lib*.la
%{_aclocaldir}/pth.m4
%{_includedir}/*.h
%{_mandir}/man3/*
%{_mandir}/man1/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%changelog
* Fri Jan 12 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/pth.git;a=log;h=master

* Wed Feb 25 2015 Elan Ruusamäe <glen@delfi.ee> 2db92de
- x32 rebuild
- release 6 (by relup.sh)

* Tue Oct 14 2008 Szymon Siwek <sls@pld-linux.org> 172cb3c
- workaround for parallel build

* Mon Sep 08 2008 Patryk Zawadzki <patrys@room-303.com> 7b9d810
- builds on th
- rel 5

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 628c1a8
- release 4

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 5b420f4
- unify ftp.gnu.org urls

* Tue Oct 09 2007 Jan Rękorajski <baggins@pld-linux.org> 8869a01
- s/enviroment/environment/

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b683f2c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5a6ec33
- converted to UTF-8

* Thu Nov 30 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 249a9ba
- rel 3

* Fri Oct 20 2006 Jakub Bogusz <qboosh@pld-linux.org> ad21a39
- no aclocal call

* Wed Oct 11 2006 Jakub Bogusz <qboosh@pld-linux.org> 1666767
- added nolibs patch (kill unnecessary libs from `pth-config --libs --all`)
- release 2

* Wed Oct 11 2006 Jakub Bogusz <qboosh@pld-linux.org> 9c710ef
- remove unnecessary libs from `pth-config --libs --all`

* Mon Jun 26 2006 Jakub Bogusz <qboosh@pld-linux.org> baa8608
- updated to 2.0.7

* Sun Nov 27 2005 Jakub Bogusz <qboosh@pld-linux.org> c639a87
- updated to 2.0.6

* Fri Oct 07 2005 Jakub Bogusz <qboosh@pld-linux.org> 1f3a322
- updated to 2.0.5

* Sun Feb 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 60738e6
- updated to 2.0.4, removed obsolete am18 patch

* Sun Feb 20 2005 Jakub Bogusz <qboosh@pld-linux.org> ecab520
- obsolete

* Sat Dec 04 2004 Jakub Bogusz <qboosh@pld-linux.org> 01a1ecb
- updated to 2.0.3
- note: pth_uctx_{save,restore} functions were broken by design and have been
  removed from API (they never worked properly anyway)

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> c0c7004
- spaces->tabs
- formatting

* Tue Oct 26 2004 Jakub Bogusz <qboosh@pld-linux.org> 0a7651c
- obsolete

